@echo off &Pushd %~dp0&Title 绿化卸载&::By Gxhayxj
If Not "%1"=="" (Set c=%1&Goto Goto)
color 2F&mode con: cols=36 lines=20
:Menu
Cls
echo.&echo. 音频编辑大师 3.3绿化破解版
echo.&echo. 吾爱破解 by gxhayxj                     
echo.&echo. ==================================
echo.&echo   0.创建桌面
echo.&echo.  1.绿化   
echo.&echo.  2.卸载
echo.
:Menu
set /p Memories=请输入：
if "%Memories%"=="1" Goto In
if "%Memories%"=="2" Goto Un
if "%Memories%"=="0" Goto DesktopLnk
echo.&echo 输入无效，请重新输入！
pause >nul
goto menu
:In
taskkill /f /im AudioEditor*  >NUL 2>NUL
xcopy /s/i/y Plugin "%systemroot%\system32">NUL 2>NUL
if exist Plugin\lame_enc.dll regsvr32  /s Plugin\lame_enc.dll
if exist Plugin\NCTAudioCDGrabber2.dll regsvr32 /s Plugin\NCTAudioCDGrabber2.dll
if exist Plugin\NCTAudioEditor2.dll regsvr32 /s Plugin\NCTAudioEditor2.dll
if exist Plugin\NCTAudioFile2.dll regsvr32 /s Plugin\NCTAudioFile2.dll
if exist Plugin\NCTAudioInformation2.dll regsvr32 /s Plugin\NCTAudioInformation2.dll
if exist Plugin\NCTAudioPlayer2.dll regsvr32  /s Plugin\NCTAudioPlayer2.dll
if exist Plugin\NCTAudioRecord2.dll regsvr32 /s Plugin\NCTAudioRecord2.dll
if exist Plugin\NCTAudioTransform2.dll regsvr32 /s Plugin\NCTAudioTransform2.dll
if exist Plugin\NCTAudioVisualization2.dll regsvr32 /s Plugin\NCTAudioVisualization2.dll
if exist Plugin\NCTWMAFile2.dll regsvr32 /s Plugin\NCTWMAFile2.dll
start /wait patch.exe /S
SET E=绿化破解完成!&GOTO MSGBOX
:Un
taskkill /f /im AudioEditor*  >NUL 2>NUL
if exist Plugin\lame_enc.dll regsvr32  /s /u Plugin\lame_enc.dll
if exist Plugin\NCTAudioCDGrabber2.dll regsvr32 /s /u Plugin\NCTAudioCDGrabber2.dll
if exist Plugin\NCTAudioEditor2.dll regsvr32 /s /u Plugin\NCTAudioEditor2.dll
if exist Plugin\NCTAudioFile2.dll regsvr32 /s /u reg\NCTAudioFile2.dll
if exist Plugin\NCTAudioInformation2.dll regsvr32 /s /u Plugin\NCTAudioInformation2.dll
if exist Plugin\NCTAudioPlayer2.dll regsvr32  /s /u Plugin\NCTAudioPlayer2.dll
if exist Plugin\NCTAudioRecord2.dll regsvr32 /s /u Plugin\NCTAudioRecord2.dll
if exist Plugin\NCTAudioTransform2.dll regsvr32 /s /u Plugin\NCTAudioTransform2.dll
if exist Plugin\NCTAudioVisualization2.dll regsvr32 /s /u Plugin\NCTAudioVisualization2.dll
if exist Plugin\NCTWMAFile2.dll regsvr32 /s /u Plugin\NCTWMAFile2.dll
del %systemroot%\system32\lame_enc.dll
del %systemroot%\system32\NCTAudioCDGrabber2.dll
del %systemroot%\system32\NCTAudioEditor2.dll
del %systemroot%\system32\NCTAudioFile2.dll
del %systemroot%\system32\NCTAudioInformation2.dll
del %systemroot%\system32\NCTAudioPlayer2.dll
del %systemroot%\system32\NCTAudioRecord2.dll
del %systemroot%\system32\NCTAudioTransform2.dll
del %systemroot%\system32\NCTAudioVisualization2.dll
del %systemroot%\system32\NCTWMAFile2.dll
del %systemroot%\system32\NCTWMAProfiles.prx
del "%userprofile%\桌面\音频编辑大师.lnk"2>NUL
regedit /s language\del.reg
SET E=卸载完成!&GOTO MSGBOX
:DesktopLnk
mshta VBScript:Execute("Set a=CreateObject(""WScript.Shell""):Set b=a.CreateShortcut(a.SpecialFolders(""Desktop"") & ""\音频编辑大师.lnk""):b.TargetPath=""%~dp0AudioEditor_gb.exe"":b.WorkingDirectory=""%~dp0"":b.Save:close")&SET E=创建完成!&GOTO MSGBOX
:MsgBox
if "%1"=="" mshta VBScript:MsgBox("%e%",vbSystemModal,"")(close)& Cls&Goto Menu